EDIT - bug #7206

CdmEntityCache not correctly updating with entitiy graphs loaded afterwards
01/18/2018 05:43 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.13

Severity: critical Found in Version:

Description

CdmEntityCache has a couple of problems:

® entities put in the cache via the add() method may contain entities which are already in the cache. A merge will not happen in
this case. This might casue the multiple representations problem

e entity graphs added via the findOrUpdate() method are only compared at the root entity. In case the root entity is not yet cached
the rest of the graph is ignored even if it could contain "multiple representation objects”

Related issues:

Related to EDIT - bug #7212: CachelLoader replaces loaded entities with uninit... Resolved
Related to EDIT - bug #7151: entities held in CdmCache can not be modified Rejected
Related to EDIT - task #7325: Taxeditor uses CdmTransientEntityCacher from cd... Closed

Associated revisions

Revision 6e9a10ba - 01/19/2018 05:23 PM - Andreas Kohlbecker

ref #7206 migrating taxeditor entity cache into cdmlib module cdmlib-cache

e compiles
¢ creates cdm.map.ser

Revision 1ba18b26 - 01/22/2018 03:51 PM - Andreas Kohlbecker
ref #7206 documenting

Revision b8853d8d - 01/23/2018 12:19 PM - Andreas Kohlbecker
ref #7206 replacing CdmEntityCache by CdmTransientEntityCacher and implementing EntityCacheDebugger

Revision 093450dc - 01/23/2018 01:06 PM - Andreas Kohlbecker
ref #7206 EntityCacheDebuggerComponent layout improvement and sorting

Revision d0242e14 - 01/23/2018 04:09 PM - Andreas Kohlbecker
ref #7206 removing old debug code

Revision baaled8b - 01/24/2018 11:25 AM - Andreas Kohlbecker
ref #7206 EntityCacheDebugResult improved reporting

Revision e6feb60e - 01/24/2018 12:07 PM - Andreas Kohlbecker

ref #7206 fixing multiple representations problem in ToOneRelatedEntityReloader

Revision e26a406b - 01/24/2018 01:30 PM - Andreas Kohlbecker

ref #7206 migrating taxeditor entity cache into cdmlib module cdmlib-cache

e compiles
e creates cdm.map.ser

Revision f1d2990c - 01/24/2018 01:30 PM - Andreas Kohlbecker
ref #7206 documenting
Revision 5bd01374 - 01/24/2018 01:30 PM - Andreas Kohlbecker
ref #7206 EntityCacheDebugResult improved reporting

Revision 2e6db6fc - 01/24/2018 04:07 PM - Andreas Kohlbecker

ref #7206 using generic method paramaters and return types in cacher classes

History

#2 -01/31/2018 12:10 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#3 - 01/31/2018 01:27 PM - Andreas Kohlbecker
- Status changed from New to Closed
- Target version changed from Release 4.14 to Release 4.13

- % Done changed from 0 to 100

CdmEntityCache has been completely replaced by CdmTransientEntityCacher

#4 - 01/31/2018 01:32 PM - Andreas Kohlbecker

- Related to bug #7212: CachelLoader replaces loaded entities with uninitialized proxies added

#5 - 01/31/2018 01:32 PM - Andreas Kohlbecker
- Related to bug #7151: entities held in CdmCache can not be modified added

#6 - 03/22/2018 09:52 AM - Andreas Kohlbecker

- Related to task #7325: Taxeditor uses CdmTransientEntityCacher from cdmlib-cache added
